Index: /branches/comu-ver2/html/install/sql/insert_data.sql
===================================================================
--- /branches/comu-ver2/html/install/sql/insert_data.sql	(revision 17873)
+++ /branches/comu-ver2/html/install/sql/insert_data.sql	(revision 17921)
@@ -256,5 +256,5 @@
 
 INSERT INTO dtb_news (news_date,rank, news_title, news_comment, creator_id, create_date, update_date)
-VALUES (now(),1,'サイトオープンいたしました!','一人暮らしからオフィスなどさまざまなシーンで あなたの生活をサポートするグッズをご家庭へお届けします！一人暮らしからオフィスなどさまざまなシーンで あなたの生活をサポートするグッズをご家庭へお届けします！一人暮らしからオフィスなどさまざまなシーンで あなたの生活をサポートするグッズをご家庭へお届けします！',1, now(), now());
+VALUES (CAST(now() AS date),1,'サイトオープンいたしました!','一人暮らしからオフィスなどさまざまなシーンで あなたの生活をサポートするグッズをご家庭へお届けします！一人暮らしからオフィスなどさまざまなシーンで あなたの生活をサポートするグッズをご家庭へお届けします！一人暮らしからオフィスなどさまざまなシーンで あなたの生活をサポートするグッズをご家庭へお届けします！',1, now(), now());
 
 INSERT INTO dtb_deliv (name,service_name,confirm_url,rank,status,del_flg,creator_id,create_date,update_date)
Index: /branches/comu-ver2/data/class/pages/rss/LC_Page_Rss.php
===================================================================
--- /branches/comu-ver2/data/class/pages/rss/LC_Page_Rss.php	(revision 17674)
+++ /branches/comu-ver2/data/class/pages/rss/LC_Page_Rss.php	(revision 17921)
@@ -60,5 +60,5 @@
         //新着情報を取得
         $arrNews = $this->lfGetNews($objQuery);
-
+        
         //キャッシュしない(念のため)
         header("pragma: no-cache");
@@ -69,5 +69,4 @@
         //新着情報をセット
         $this->arrNews = $arrNews;
-        $this->timestamp = SC_Utils_Ex::sf_mktime("r", $arrNews[0]['hour'], $arrNews[0]['minute'], $arrNews[0]['second'], $arrNews[0]['month'], $arrNews[0]['day'], $arrNews[0]['year']);
 
         //店名をセット
@@ -101,27 +100,12 @@
     function lfGetNews(&$objQuery){
         $col = "";
-        $col .= "     news_id ";								//新着情報ID
-        $col .= "     ,news_title ";							//新着情報タイトル
-        $col .= "     ,news_comment ";							//新着情報本文
-
-        if (DB_TYPE == "pgsql") {
-            $col .= "     ,to_char(news_date, 'YYYY') AS YEAR ";	//日付(年)
-            $col .= "     ,to_char(news_date, 'MM') AS MONTH ";		//日付(月)
-            $col .= "     ,to_char(news_date, 'DD') AS DAY ";		//日付(日)
-            $col .= "     ,to_char(news_date, 'HH24') AS HOUR ";	//日付(時間)
-            $col .= "     ,to_char(news_date, 'MI') AS MINUTE ";	//日付(分)
-            $col .= "     ,to_char(news_date, 'SS') AS SECOND ";	//日付(秒)
-        }else if (DB_TYPE == "mysql") {
-            $col .= "     ,DATE_FORMAT(news_date, '%Y') AS YEAR ";		//日付(年)
-            $col .= "     ,DATE_FORMAT(news_date, '%m') AS MONTH ";		//日付(月)
-            $col .= "     ,DATE_FORMAT(news_date, '%d') AS DAY ";		//日付(日)
-            $col .= "     ,DATE_FORMAT(news_date, '%H') AS HOUR ";		//日付(時間)
-            $col .= "     ,DATE_FORMAT(news_date, '%i') AS MINUTE ";	//日付(分)
-            $col .= "     ,DATE_FORMAT(news_date, '%s') AS SECOND ";	//日付(秒)
-        }
-        $col .= "     ,news_url ";								//新着情報URL
-        $col .= "     ,news_select ";							//新着情報の区分(1:URL、2:本文)
-        $col .= "     ,(SELECT shop_name FROM dtb_baseinfo limit 1) AS shop_name  ";	//店名
-        $col .= "     ,(SELECT email04 FROM dtb_baseinfo limit 1) AS email ";			//代表Emailアドレス
+        $col .= "news_id ";        // 新着情報ID
+        $col .= ",news_title ";    // 新着情報タイトル
+        $col .= ",news_comment ";  // 新着情報本文
+        $col .= ",news_date ";     // 日付
+        $col .= ",news_url ";      // 新着情報URL
+        $col .= ",news_select ";   // 新着情報の区分(1:URL、2:本文)
+        $col .= ",(SELECT shop_name FROM dtb_baseinfo limit 1) AS shop_name  ";    // 店名
+        $col .= ",(SELECT email04 FROM dtb_baseinfo limit 1) AS email ";           // 代表Emailアドレス
         $from = "dtb_news";
         $where = "del_flg = '0'";
@@ -129,4 +113,12 @@
         $objQuery->setorder($order);
         $arrNews = $objQuery->select($col,$from,$where);
+        
+        // RSS用に変換
+        foreach (array_keys($arrNews) as $key) {
+            $row =& $arrNews[$key];
+            // 日付
+            $row['news_date'] = date('r', strtotime($row['news_date']));
+        }
+        
         return $arrNews;
     }
Index: /branches/comu-ver2/data/Smarty/templates/default/rss/index.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/rss/index.tpl	(revision 17610)
+++ /branches/comu-ver2/data/Smarty/templates/default/rss/index.tpl	(revision 17921)
@@ -47,6 +47,5 @@
 			<title> <!--{ $arrNews[cnt].news_title|sf_mb_convert_encoding:$encode|escape }--> </title>
 			<description><!--{$arrNews[cnt].news_comment|truncate:256|sf_mb_convert_encoding:$encode|escape}--></description>
-			<!--{* <pubDate><!--{"r"|sf_mktime:$arrNews[cnt].hour:$arrNews[cnt].minute:$arrNews[cnt].second:$arrNews[cnt].month:$arrNews[cnt].day:$arrNews[cnt].year}--></pubDate> *}-->
-			<pubDate><!--{$timestamp|escape}--></pubDate>
+			<pubDate><!--{$arrNews[cnt].news_date|escape}--></pubDate>
 		</item>
 	<!--{/section}-->