Index: anches/comu-ver2/html/shopping/convenience.php
===================================================================
--- /branches/comu-ver2/html/shopping/convenience.php	(revision 17969)
+++ 	(revision )
@@ -1,236 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-require_once("../require.php");
-
-class LC_Page {
-	function LC_Page() {
-		$this->tpl_mainpage = "shopping/convenience.tpl";
-		$this->tpl_css = URL_DIR.'css/layout/shopping/pay.css';
-		global $arrCONVENIENCE;
-		$this->arrCONVENIENCE = $arrCONVENIENCE;
-		/*
-		 session_start時のno-cacheヘッダーを抑制することで
-		 「戻る」ボタン使用時の有効期限切れ表示を抑制する。
-		 private-no-expire:クライアントのキャッシュを許可する。
-		*/
-		session_cache_limiter('private-no-expire');		
-	}
-}
-
-$objPage = new LC_Page;
-$objView = new SC_SiteView;
-$objSiteSess = new SC_SiteSession;
-$objCartSess = new SC_CartSession;
-$objCampaignSess = new SC_CampaignSession();
-$objSiteInfo = $objView->objSiteInfo;
-$objCustomer = new SC_Customer;
-
-$arrInfo = $objSiteInfo->data;
-
-// パラメータ管理クラス
-$objFormParam = new SC_FormParam();
-// パラメータ情報の初期化
-lfInitParam();
-// POST値の取得
-$objFormParam->setParam($_POST);
-
-// アクセスの正当性の判定
-$uniqid = sfCheckNormalAccess($objSiteSess, $objCartSess);
-
-//コンビニの種類で処理ファイルを切り替える
-switch($_POST['mode']) {
-//完了
-case 'complete':
-	//エラーチェック
-	$objPage->arrErr = lfCheckError();
-	if($objPage->arrErr == "") {
-		// マーチャント情報設定ファイルをインクルード
-		//require("merchant.ini");
-		// 決済処理パッケージをインクルード
-		require_once(DATA_PATH . "vtcvsmdk/mdk/lib/BSCVS/Transaction.php");
-		require_once(DATA_PATH . "vtcvsmdk/mdk/lib/BSCVS/Config.php");
-		require_once(DATA_PATH . "vtcvsmdk/mdk/lib/BSCVS/Log.php");
-	
-		// トランザクションインスタンスを作成
-		$objTran = new Transaction;
-		
-		// 設定ファイル cvsgwlib.conf によりインスタンスを初期化
-		$objTran->setServer(DATA_PATH . "vtcvsmdk/mdk/conf/cvsgwlib.conf");
-		
-		// カート集計処理
-		$objPage = sfTotalCart($objPage, $objCartSess, $arrInfo);
-		// 一時受注テーブルの読込
-		$arrData = sfGetOrderTemp($uniqid);
-		// カート集計を元に最終計算
-		$arrPrice = sfTotalConfirm($arrData, $objPage, $objCartSess, $arrInfo, $objCustomer);
-		
-		// ログ出力インスタンスを取得
-		$logger = $objTran->getLogger();
-		
-		// ログ出力(ここから)
-		$logger->logprint('DEBUG', '<<< 支払結果画面処理開始... >>>');
-		
-		//コンビニの種類からCVSタイプを決定する
-		switch($_POST['convenience']) {
-		//セブンイレブン
-		case '1':
-			$cvs_type = '01';
-			break;
-		//ファミリーマート
-		case '2':
-			$cvs_type = '03';
-			break;
-		//サークルKサンクス
-		case '3':
-			$cvs_type = '04';
-			break;
-		//その他
-		case '4':
-		case '5':
-			$cvs_type = '02';
-			break;
-		default:
-			sfDispSiteError(PAGE_ERROR, "", "", "", $objCampaignSess);
-			break;
-		}
-	
-		//リクエスト電文
-		$arrRequest = array(
-			// 取引 ID
-		    REQ_ORDER_ID => $uniqid,		
-		    // CVSタイプ
-		    REQ_CVS_TYPE => $cvs_type,
-		    // 金額
-		    REQ_AMOUNT => $arrPrice['payment_total'],
-		    // 支払期限
-		    REQ_PAY_LIMIT => lfGetPayLimit(),
-		    // 氏名（注意：ベリトランスコンビニゲートウェイは UTF-8 の文字のみを
-		    // 受け付けるため、ゲートウェイ接続の前に UTF-8 コードへ変換）
-		    REQ_NAME1 => $objTran->jCode($arrData['order_name01'], ENCODE_UTF8),
-		    REQ_NAME2 => $objTran->jCode($arrData['order_name02'], ENCODE_UTF8),
-			REQ_KANA => $objTran->jCode($arrData['order_kana01'].$arrData['order_kana02'], ENCODE_UTF8),
-		    // 電話番号
-		    REQ_TEL_NO => $arrData['order_tel01']."-".$arrData['order_tel02']."-".$arrData['order_tel03']
-		);
-
-		//ベリトランスコンビニゲートウェイにリクエスト電文を投げ、取引結果を格納
-		$arrResult = $objTran->doTransaction(CMD_ENTRY, $arrRequest);
-		//取引成功
-		if($arrResult[RES_ACTION_CODE] = '010') {
-			//コンビニの種類
-			switch($_POST['convenience']) {
-			//セブンイレブン
-			case '1':
-				$arrRet['cv_type'] = '1';										//コンビニの種類
-				$arrRet['cv_payment_url'] = $arrResult[RES_HARAIKOMI_URL];		//払込票URL(PC)
-				$arrRet['cv_receipt_no'] = $arrResult[RES_RECEIPT_NO];			//払込票番号
-				break;
-			//ファミリーマート
-			case '2':
-				$company_code = substr($arrResult[RES_RECEIPT_NO], 0, 5);
-				$order_no = substr($arrResult[RES_RECEIPT_NO], 6, 12);
-				$arrRet['cv_type'] = '2';						//コンビニの種類
-				$arrRet['cv_company_code'] = $company_code;	//企業コード
-				$arrRet['cv_order_no'] = $order_no;			//受付番号
-				break;
-			//サークルKサンクス
-			case '3':
-				$mobile_url = preg_replace("/https:\/\/.+?\/JLPcon/","https://w2.kessai.info/JLM/JLMcon", $arrResult[RES_HARAIKOMI_URL]);
-				$arrRet['cv_type'] = '3';										//コンビニの種類
-				$arrRet['cv_payment_url'] = $arrResult[RES_HARAIKOMI_URL];		//払込票URL
-				$arrRet['cv_payment_mobile_url'] = $mobile_url;					//払込票URL(モバイル)
-				break;
-			//ローソン、セイコーマート
-			case '4':
-				$arrRet['cv_type'] = '4';									//コンビニの種類
-				$arrRet['cv_receipt_no'] = $arrResult[RES_RECEIPT_NO];		//払込票番号
-				break;
-			//ミニストップ、デイリーヤマザキ、ヤマザキデイリーストア
-			case '5':
-				$arrRet['cv_type'] = '5';										//コンビニの種類
-				$arrRet['cv_payment_url'] = $arrResult[RES_HARAIKOMI_URL];		//払込票URL(PC)
-				break;
-			}
-			//支払期限
-			$arrRet['cv_payment_limit'] = lfGetPayLimit();
-			//コンビニ決済情報を格納
-			$sqlval['conveni_data'] = serialize($arrRet);
-			$objQuery = new SC_Query;
-			$objQuery->update("dtb_order_temp", $sqlval, "order_temp_id = ? ", array($uniqid));
-			// 正常に登録されたことを記録しておく
-			$objSiteSess->setRegistFlag();
-			//購入完了ページへ
-			header("Location: " . URL_SHOP_COMPLETE);
-		//失敗
-		} else {
-			$objPage->arrErr = 'エラーが発生しました。';
-		}
-		
-		# ログ出力(ここまで)
-		$logger->logprint('DEBUG', '<<< 支払結果画面処理終了. >>>');
-	
-	}
-	break;
-//戻る
-case 'return':
-	// 正常に登録されたことを記録しておく
-	$objSiteSess->setRegistFlag();
-	// 確認ページへ移動
-	header("Location: " . URL_SHOP_CONFIRM);
-	exit;
-	break;
-}
-
-$objView->assignobj($objPage);
-// フレームを選択(キャンペーンページから遷移なら変更)
-$objCampaignSess->pageView($objView);
-
-//-------------------------------------------------------------------------------------------------------------
-
-//支払期限の生成
-function lfGetPayLimit() {
-    $date = sprintf("%10s",
-                    date("Y/m/d",mktime(0,0,0,date("m"),
-                    date("d")+CV_PAYMENT_LIMIT,date("Y"))));
-    return $date;
-}
-
-//パラメータの初期化
-function lfInitParam() {
-	global $objFormParam;
-	$objFormParam->addParam("コンビニの種類", "convenience", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
-}
-	
-// 入力内容のチェック
-function lfCheckError() {
-	global $objFormParam;
-	// 入力データを渡す。
-	$arrRet =  $objFormParam->getHashArray();
-	$objErr = new SC_CheckError($arrRet);
-	$objErr->arrErr = $objFormParam->checkError();
-	
-	return $objErr->arrErr;
-}
-
-?>
Index: anches/comu-ver2/html/shopping/loan_cancel.php
===================================================================
--- /branches/comu-ver2/html/shopping/loan_cancel.php	(revision 17969)
+++ 	(revision )
@@ -1,108 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-require_once("../require.php");
-
-class LC_Page {
-	function LC_Page() {
-		$this->tpl_mainpage = 'shopping/loan.tpl';
-		$this->tpl_css = URL_DIR.'css/layout/shopping/pay.css';
-		// ホームアドレス
-		$this->tpl_homeaddr = CF_HOMEADDR;
-		// シュミレーション呼び出し
-		$this->tpl_simulate = CF_SIMULATE;
-		// 加盟店コード
-		$this->tpl_storecode = CF_STORECODE;
-		// 戻り先
-		$this->tpl_returnurl = CF_RETURNURL;
-		// 呼び出し区分(0:シュミレーションのみ、1:シュミレーション+申込)
-		$this->tpl_continue = CF_CONTINUE;
-		// 役務有無区分(0:無、1:有)
-		$this->tpl_labor = CF_LABOR;
-		// 結果応答(1:結果あり、2:結果なし)
-		$this->tpl_result = CF_RESULT;
-		// キャンセルURL
-		$this->tpl_cancelurl = CF_CANCELURL;
-		
-		/*
-		 session_start時のno-cacheヘッダーを抑制することで
-		 「戻る」ボタン使用時の有効期限切れ表示を抑制する。
-		 private-no-expire:クライアントのキャッシュを許可する。
-		*/
-		session_cache_limiter('private-no-expire');		
-	}
-}
-
-$objPage = new LC_Page();
-$objView = new SC_SiteView();
-$objSiteSess = new SC_SiteSession();
-$objCartSess = new SC_CartSession();
-$objCampaignSess = new SC_CampaignSession();
-$objCustomer = new SC_Customer();
-$objSiteInfo = $objView->objSiteInfo;
-$arrInfo = $objSiteInfo->data;
-
-// 注文一時IDの取得
-$uniqid = $objSiteSess->getUniqId();
-
-// ローン決済の戻り値をチェックする。
-if($_GET['tranno'] == $uniqid) {
-	// ローン決済受付番号をDBに書き込む
-	$sqlval['loan_result'] = $_GET['receiptno'];
-	$objQuery = new SC_Query();
-	$objQuery->update("dtb_order_temp", $sqlval, "order_temp_id = ?", array($uniqid));
-	
-	$objPage->tpl_message = "ショッピングローンの手続きは、キャンセルされました。";	
-}
-
-switch($_POST['mode']) {
-// 前のページに戻る
-case 'return':
-	// 正常な推移であることを記録しておく
-	$objSiteSess->setRegistFlag();
-	header("Location: " . URL_SHOP_CONFIRM);
-	exit;
-	break;
-default:
-	break;
-}
-
-// カート集計処理
-$objPage = sfTotalCart($objPage, $objCartSess, $arrInfo);
-// 一時受注テーブルの読込
-$arrData = sfGetOrderTemp($uniqid);
-// カート集計を元に最終計算
-$arrData = sfTotalConfirm($arrData, $objPage, $objCartSess, $arrInfo);
-
-// 支払い総額
-$objPage->tpl_amount = $arrData['payment_total'];
-// 受注仮番号
-$objPage->tpl_tranno = $uniqid;
-// 基本情報を渡す
-$objPage->arrInfo = $arrInfo;
-
-$objView->assignobj($objPage);
-// フレームを選択(キャンペーンページから遷移なら変更)
-$objCampaignSess->pageView($objView);
-//--------------------------------------------------------------------------------------------------------------------------
-?>
Index: anches/comu-ver2/html/shopping/card.php
===================================================================
--- /branches/comu-ver2/html/shopping/card.php	(revision 17969)
+++ 	(revision )
@@ -1,169 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-require_once("../require.php");
-
-$arrJPO_INFO['10'] = "一括払い";
-$arrJPO_INFO['21'] = "ボーナス一括払い";
-$arrJPO_INFO['80'] = "リボ払い";
-$arrJPO_INFO['61C02'] = "分割2回払い";
-$arrJPO_INFO['61C03'] = "分割3回払い";
-$arrJPO_INFO['61C05'] = "分割5回払い";
-$arrJPO_INFO['61C06'] = "分割6回払い";
-$arrJPO_INFO['61C10'] = "分割10回払い";
-$arrJPO_INFO['61C12'] = "分割12回払い";
-$arrJPO_INFO['61C15'] = "分割15回払い";
-
-class LC_Page {
-	function LC_Page() {
-		/** 必ず指定する **/
-		$this->tpl_css = URL_DIR.'css/layout/shopping/card.css';	// メインCSSパス
-		/** 必ず指定する **/
-		$this->tpl_mainpage = 'shopping/card.tpl';			// メインテンプレート
-		global $arrJPO_INFO;
-		$this->arrJPO_INFO = $arrJPO_INFO;
-		/*
-		 session_start時のno-cacheヘッダーを抑制することで
-		 「戻る」ボタン使用時の有効期限切れ表示を抑制する。
-		 private-no-expire:クライアントのキャッシュを許可する。
-		*/
-		session_cache_limiter('private-no-expire');		
-	}
-}
-
-$objPage = new LC_Page();
-$objView = new SC_SiteView();
-$objSiteSess = new SC_SiteSession();
-$objCartSess = new SC_CartSession();
-$objCampaignSess = new SC_CampaignSession();
-$objSiteInfo = $objView->objSiteInfo;
-$arrInfo = $objSiteInfo->data;
-
-// パラメータ管理クラス
-$objFormParam = new SC_FormParam();
-// パラメータ情報の初期化
-lfInitParam();
-// POST値の取得
-$objFormParam->setParam($_POST);
-
-// アクセスの正当性の判定
-$uniqid = sfCheckNormalAccess($objSiteSess, $objCartSess);
-
-switch($_POST['mode']) {
-// 登録
-case 'regist':
-	// 入力値の変換
-	$objFormParam->convParam();
-	$objPage->arrErr = lfCheckError($arrRet);
-	// 入力エラーなしの場合
-	if(count($objPage->arrErr) == 0) {
-		// カート集計処理
-		$objPage = sfTotalCart($objPage, $objCartSess, $arrInfo);
-		// 一時受注テーブルの読込
-		$arrData = sfGetOrderTemp($uniqid);
-		// カート集計を元に最終計算
-		$arrData = sfTotalConfirm($arrData, $objPage, $objCartSess, $arrInfo);
-
-		// カードの認証を行う
-		$arrVal = $objFormParam->getHashArray();
-		$card_no = $arrVal['card_no01'].$arrVal['card_no02'].$arrVal['card_no03'].$arrVal['card_no04'];
-		$card_exp = $arrVal['card_month']. "/" . $arrVal['card_year']; // MM/DD
-		$result = sfGetAuthonlyResult(CGI_DIR, CGI_FILE, $arrVal['name01'], $arrVal['name02'], $card_no, $card_exp, $arrData['payment_total'], $uniqid, $arrVal['jpo_info']);
-
-		// 応答内容の記録
-		$sqlval['credit_result'] = $result['action-code'];
-		$sqlval['credit_msg'] = $result['aux-msg'].$result['MErrMsg'];
-		$objQuery = new SC_Query();
-		$objQuery->update("dtb_order_temp", $sqlval, "order_temp_id = ?", array($uniqid));
-				
-		// 与信処理成功の場合
-		if($result['action-code'] == '000') {
-			// 正常に登録されたことを記録しておく
-			$objSiteSess->setRegistFlag();
-			// 処理完了ページへ
-			header("Location: " . URL_SHOP_COMPLETE);
-		} else {
-			switch($result['action-code']) {
-			case '115':
-				$objPage->tpl_error = "※ カードの有効期限が切れています。";
-				break;
-			case '212':
-				$objPage->tpl_error = "※ カード番号に誤りがあります。";
-				break;
-			case '100':
-				$objPage->tpl_error = "※ カード会社でお取引が承認されませんでした。";
-				break;
-			default:
-				$objPage->tpl_error = "※ クレジットカードの照合に失敗しました。";
-				break;
-			}
-		}
-	}
-	break;
-// 前のページに戻る
-case 'return':
-	// 正常に登録されたことを記録しておく
-	$objSiteSess->setRegistFlag();
-	// 確認ページへ移動
-	header("Location: " . URL_SHOP_CONFIRM);
-	exit;
-	break;
-}
-
-$objDate = new SC_Date();
-$objDate->setStartYear(RELEASE_YEAR);
-$objDate->setEndYear(RELEASE_YEAR + CREDIT_ADD_YEAR);
-$objPage->arrYear = $objDate->getZeroYear();
-$objPage->arrMonth = $objDate->getZeroMonth();
-
-$objPage->arrForm = $objFormParam->getFormParamList();
-$objView->assignobj($objPage);
-// フレームを選択(キャンペーンページから遷移なら変更)
-$objCampaignSess->pageView($objView);
-//-----------------------------------------------------------------------------------------------------------------------------------
-/* パラメータ情報の初期化 */
-function lfInitParam() {
-	global $objFormParam;
-	$objFormParam->addParam("カード番号1", "card_no01", CREDIT_NO_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
-	$objFormParam->addParam("カード番号2", "card_no02", CREDIT_NO_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
-	$objFormParam->addParam("カード番号3", "card_no03", CREDIT_NO_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
-	$objFormParam->addParam("カード番号4", "card_no04", CREDIT_NO_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
-	$objFormParam->addParam("カード期限年", "card_year", 2, "n", array("EXIST_CHECK", "NUM_COUNT_CHECK", "NUM_CHECK"));
-	$objFormParam->addParam("カード期限月", "card_month", 2, "n", array("EXIST_CHECK", "NUM_COUNT_CHECK", "NUM_CHECK"));
-	$objFormParam->addParam("姓", "card_name01", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "ALPHA_CHECK"));
-	$objFormParam->addParam("名", "card_name02", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "ALPHA_CHECK"));
-	$objFormParam->addParam("お支払い方法", "jpo_info", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "ALNUM_CHECK"));
-}
-
-/* 入力内容のチェック */
-function lfCheckError() {
-	global $objFormParam;
-	// 入力データを渡す。
-	$arrRet =  $objFormParam->getHashArray();
-	$objErr = new SC_CheckError($arrRet);
-	$objErr->arrErr = $objFormParam->checkError();
-	
-	return $objErr->arrErr;
-}
-
-?>
Index: anches/comu-ver2/html/shopping/loan.php
===================================================================
--- /branches/comu-ver2/html/shopping/loan.php	(revision 17969)
+++ 	(revision )
@@ -1,109 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-require_once("../require.php");
-
-class LC_Page {
-	function LC_Page() {
-		$this->tpl_mainpage = 'shopping/loan.tpl';
-		$this->tpl_css = URL_DIR.'css/layout/shopping/pay.css';
-		// ホームアドレス
-		$this->tpl_homeaddr = CF_HOMEADDR;
-		// シュミレーション呼び出し
-		$this->tpl_simulate = CF_SIMULATE;
-		// 加盟店コード
-		$this->tpl_storecode = CF_STORECODE;
-		// 戻り先
-		$this->tpl_returnurl = CF_RETURNURL;
-		// 呼び出し区分(0:シュミレーションのみ、1:シュミレーション+申込)
-		$this->tpl_continue = CF_CONTINUE;
-		// 役務有無区分(0:無、1:有)
-		$this->tpl_labor = CF_LABOR;
-		// 結果応答(1:結果あり、2:結果なし)
-		$this->tpl_result = CF_RESULT;
-		// キャンセルURL
-		$this->tpl_cancelurl = CF_CANCELURL;
-		/*
-		 session_start時のno-cacheヘッダーを抑制することで
-		 「戻る」ボタン使用時の有効期限切れ表示を抑制する。
-		 private-no-expire:クライアントのキャッシュを許可する。
-		*/
-		session_cache_limiter('private-no-expire');		
-	}
-}
-
-$objPage = new LC_Page();
-$objView = new SC_SiteView();
-$objSiteSess = new SC_SiteSession();
-$objCartSess = new SC_CartSession();
-$objCampaignSess = new SC_CampaignSession();
-$objCustomer = new SC_Customer();
-$objSiteInfo = $objView->objSiteInfo;
-$arrInfo = $objSiteInfo->data;
-
-// 注文一時IDの取得
-$uniqid = $objSiteSess->getUniqId();
-
-// ローン決済の戻り値をチェックする。
-if($_GET['tranno'] == $uniqid) {
-	// ローン決済受付番号をDBに書き込む
-	$sqlval['loan_result'] = $_GET['receiptno'];
-	$objQuery = new SC_Query();
-	$objQuery->update("dtb_order_temp", $sqlval, "order_temp_id = ?", array($uniqid));
-	// 正常に登録されたことを記録しておく
-	$objSiteSess->setRegistFlag();
-	// 処理完了ページへ
-	header("Location: " . URL_SHOP_COMPLETE);
-}
-
-switch($_POST['mode']) {
-// 前のページに戻る
-case 'return':
-	// 正常な推移であることを記録しておく
-	$objSiteSess->setRegistFlag();
-	header("Location: " . URL_SHOP_CONFIRM);
-	exit;
-	break;
-default:
-	break;
-}
-
-// カート集計処理
-$objPage = sfTotalCart($objPage, $objCartSess, $arrInfo);
-// 一時受注テーブルの読込
-$arrData = sfGetOrderTemp($uniqid);
-// カート集計を元に最終計算
-$arrData = sfTotalConfirm($arrData, $objPage, $objCartSess, $arrInfo);
-
-// 支払い総額
-$objPage->tpl_amount = $arrData['payment_total'];
-// 受注仮番号
-$objPage->tpl_tranno = $uniqid;
-// 基本情報を渡す
-$objPage->arrInfo = $arrInfo;
-
-$objView->assignobj($objPage);
-// フレームを選択(キャンペーンページから遷移なら変更)
-$objCampaignSess->pageView($objView);
-//--------------------------------------------------------------------------------------------------------------------------
-?>