Index: branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Complete.php
===================================================================
--- branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 18099)
+++ branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 18100)
@@ -435,26 +435,36 @@
     }
 
-    // 受注テーブルへ登録
+    /**
+     * 受注テーブルへ登録
+     *
+     * @return integer 注文番号
+     */
     function lfRegistOrder($objQuery, $arrData, $objCampaignSess = null) {
         $sqlval = $arrData;
 
         // 受注テーブルに書き込まない列を除去
-        unset($sqlval['mailmaga_flg']);		// メルマガチェック
-        unset($sqlval['deliv_check']);		// 別のお届け先チェック
-        unset($sqlval['point_check']);		// ポイント利用チェック
-        unset($sqlval['member_check']);		// 購入時会員チェック
-        unset($sqlval['password']);			// ログインパスワード
-        unset($sqlval['reminder']);			// リマインダー質問
-        unset($sqlval['reminder_answer']);	// リマインダー答え
-        unset($sqlval['mail_flag']);		// メールフラグ
-        unset($sqlval['session']);		    // セッション情報
+        unset($sqlval['mailmaga_flg']);     // メルマガチェック
+        unset($sqlval['deliv_check']);      // 別のお届け先チェック
+        unset($sqlval['point_check']);      // ポイント利用チェック
+        unset($sqlval['member_check']);     // 購入時会員チェック
+        unset($sqlval['password']);         // ログインパスワード
+        unset($sqlval['reminder']);         // リマインダー質問
+        unset($sqlval['reminder_answer']);  // リマインダー答え
+        unset($sqlval['mail_flag']);        // メールフラグ
+        unset($sqlval['session']);          // セッション情報
+
+        // ポイントは別登録
+        $addPoint = $sqlval['add_point'];
+        $usePoint = $sqlval['use_point'];
+        $sqlval['add_point'] = 0;
+        $sqlval['use_point'] = 0;
 
         // 注文ステータス:指定が無ければ新規受付に設定
-        if($sqlval["status"] == ""){
-            $sqlval['status'] = '1';
+        if (strlen($sqlval['status']) == 0) {
+            $sqlval['status'] = ORDER_NEW;
         }
 
         // 別のお届け先を指定していない場合、配送先に登録住所をコピーする。
-        if($arrData["deliv_check"] == "-1") {
+        if ($arrData["deliv_check"] == "-1") {
             $sqlval['deliv_name01'] = $arrData['order_name01'];
             $sqlval['deliv_name02'] = $arrData['order_name02'];
@@ -471,10 +481,11 @@
         }
 
-        $order_id = $arrData['order_id'];		// 注文番号
-        $sqlval['create_date'] = 'now()';		// 受注日
+        $order_id = $arrData['order_id'];       // 注文番号
+        $sqlval['create_date'] = 'Now()';       // 受注日
+        $sqlval['update_date'] = 'Now()';       // 更新日時
 
         // キャンペーンID
         if (!defined("MOBILE_SITE")) {
-            if($objCampaignSess->getIsCampaign()) $sqlval['campaign_id'] = $objCampaignSess->getCampaignId();
+            if ($objCampaignSess->getIsCampaign()) $sqlval['campaign_id'] = $objCampaignSess->getCampaignId();
         }
 
@@ -482,6 +493,9 @@
         //$sqlval = lfGetInsParam($sqlval);
 
-        // INSERTの実行
+        // 受注テーブルの登録
         $objQuery->insert("dtb_order", $sqlval);
+
+        // 受注.対応状況の更新
+        SC_Helper_DB_Ex::sfUpdateOrderStatus($order_id, null, $addPoint, $usePoint);
 
         return $order_id;
@@ -547,5 +561,5 @@
 
         $sqlval = $arrOrder[0];
-        $sqlval['create_date'] = 'now()';
+        $sqlval['create_date'] = 'Now()';
 
         // INSERTの実行
@@ -619,5 +633,5 @@
     /* 購入情報を会員テーブルに登録する */
     function lfSetCustomerPurchase($customer_id, $arrData, &$objQuery) {
-        $col = "first_buy_date, last_buy_date, buy_times, buy_total, point";
+        $col = "first_buy_date, last_buy_date, buy_times, buy_total";
         $where = "customer_id = ?";
         $arrRet = $objQuery->select($col, "dtb_customer", $where, array($customer_id));
@@ -630,11 +644,4 @@
         $sqlval['buy_times']++;
         $sqlval['buy_total']+= $arrData['total'];
-        $sqlval['point'] = ($sqlval['point'] + $arrData['add_point'] - $arrData['use_point']);
-
-        // ポイントが不足している場合
-        if($sqlval['point'] < 0) {
-            $objQuery->rollback();
-            SC_Utils_Ex::sfDispSiteError(LACK_POINT);
-        }
 
         $objQuery->update("dtb_customer", $sqlval, $where, array($customer_id));