Index: /branches/comu-ver2/data/class/pages/campaign/LC_Page_CampaignApplication.php
===================================================================
--- /branches/comu-ver2/data/class/pages/campaign/LC_Page_CampaignApplication.php	(revision 17675)
+++ /branches/comu-ver2/data/class/pages/campaign/LC_Page_CampaignApplication.php	(revision 18187)
@@ -45,5 +45,4 @@
         parent::init();
         $this->tpl_mainpage = TEMPLATE_DIR . '/campaign/application.tpl';
-        $this->allowClientCache();
     }
 
Index: /branches/comu-ver2/data/class/pages/LC_Page.php
===================================================================
--- /branches/comu-ver2/data/class/pages/LC_Page.php	(revision 18143)
+++ /branches/comu-ver2/data/class/pages/LC_Page.php	(revision 18187)
@@ -308,18 +308,30 @@
 
     /**
-     * クライアントのキャッシュを許可する.
-     *
-     * session_start時のno-cacheヘッダーを抑制することで
-     * 「戻る」ボタン使用時の有効期限切れ表示を抑制する.
+     * クライアント・プロキシのキャッシュを制御する.
      *
      * @access protected
-     * @return void
-     */
-    function allowClientCache() {
-        $cache_expire = session_cache_expire() * 60;
-        header('Pragma:');
-        header('Expires:');
-        header("Cache-Control: private, max-age={$cache_expire}, pre-check={$cache_expire}");
-        header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
+     * @param string $mode (nocache/private)
+     * @return void
+     */
+    function httpCacheControl($mode = '') {
+        switch ($mode) {
+            case 'nocache':
+                header('Pragma: no-cache');
+                header('Expires: Thu, 19 Nov 1981 08:52:00 GMT');
+                header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
+                header('Last-Modified:');
+                break;
+                
+            case 'private':
+                $cache_expire = session_cache_expire() * 60;
+                header('Pragma: no-cache');                                                            // anti-proxy
+                header('Expires:');                                                                    // anti-mozilla
+                header("Cache-Control: private, max-age={$cache_expire}, pre-check={$cache_expire}");  // HTTP/1.1 client
+                header('Last-Modified:');
+                break;
+                
+            default:
+                break;
+        }
     }
 
Index: /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_Login.php
===================================================================
--- /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 17675)
+++ /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 18187)
@@ -47,4 +47,5 @@
         $this->tpl_title = 'MYページ(ログイン)';
         $this->tpl_column_num = 1;
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_MailView.php
===================================================================
--- /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 17953)
+++ /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 18187)
@@ -45,4 +45,5 @@
         parent::init();
         $this->tpl_mainpage = 'mypage/mail_view.tpl';
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php
===================================================================
--- /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 17905)
+++ /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 18187)
@@ -49,5 +49,5 @@
         $this->arrPref= $masterData->getMasterData("mtb_pref",
                             array("pref_id", "pref_name", "rank"));
-        $this->allowClientCache();
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 18080)
+++ /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 18187)
@@ -56,5 +56,4 @@
         $this->tpl_mainno = 'mypage';
         $this->tpl_mypageno = 'favorite';
-        $this->allowClientCache();
     }
 
@@ -143,5 +142,4 @@
         $this->tpl_mainpage = 'mypage/favorite.tpl';
         $this->tpl_title = 'MYページ/お気に入り一覧';
-        $this->allowClientCache();
     }
 
Index: /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage.php	(revision 17675)
+++ /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage.php	(revision 18187)
@@ -56,5 +56,5 @@
         $this->tpl_mainno = 'mypage';
         $this->tpl_mypageno = 'index';
-        $this->allowClientCache();
+        $this->httpCacheControl('nocache');
     }
 
@@ -114,5 +114,4 @@
         $objDb = new SC_Helper_DB_Ex();
         $this->arrPayment = $objDb->sfGetIDValueList("dtb_payment", "payment_id", "payment_method");
-
         $objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
         $objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
@@ -127,5 +126,5 @@
         $this->tpl_mainpage = 'mypage/index.tpl';
         $this->tpl_title = 'MYページ/購入履歴一覧';
-        $this->allowClientCache();
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 17994)
+++ /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 18187)
@@ -51,9 +51,8 @@
         $this->tpl_mainno = 'mypage';
         $this->tpl_mypageno = 'index';
-        $this->allowClientCache();
-
+        $this->httpCacheControl('nocache');
         $masterData = new SC_DB_MasterData_Ex();
         $this->arrMAILTEMPLATE = $masterData->getMasterData("mtb_mail_template");
-    }
+   }
 
     /**
@@ -75,5 +74,5 @@
         $from = "dtb_order";
         $where = "del_flg = 0 AND customer_id = ? AND order_id = ? ";
-        $arrval = array($objCustomer->getValue('customer_id'), $_POST['order_id']);
+        $arrval = array($objCustomer->getValue('customer_id'), $_GET['order_id']);
         //DBに情報があるか判定
         $cnt = $objQuery->count($from, $where, $arrval);
@@ -83,5 +82,5 @@
         } else {
             //受注詳細データの取得
-            $this->arrDisp = $this->lfGetOrderData($_POST['order_id']);
+            $this->arrDisp = $this->lfGetOrderData($_GET['order_id']);
             // 支払い方法の取得
             $this->arrPayment = $objDb->sfGetIDValueList("dtb_payment", "payment_id", "payment_method");
@@ -96,9 +95,9 @@
         }
 
-        if(SC_Utils_Ex::sfIsInt($_POST['order_id'])) {
+        if(SC_Utils_Ex::sfIsInt($_GET['order_id'])) {
             $col = "send_date, subject, template_id, send_id";
             $where = "order_id = ?";
             $objQuery->setorder("send_date DESC");
-            $this->arrMailHistory = $objQuery->select($col, "dtb_mail_history", $where, array($_POST['order_id']));
+            $this->arrMailHistory = $objQuery->select($col, "dtb_mail_history", $where, array($_GET['order_id']));
         }
 
@@ -127,5 +126,5 @@
         $this->tpl_mainpage = MOBILE_TEMPLATE_DIR . 'mypage/history.tpl';
         $this->tpl_title = 'MYページ/購入履歴一覧';
-        $this->allowClientCache();
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_Delivery.php
===================================================================
--- /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 17519)
+++ /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 18187)
@@ -54,5 +54,5 @@
                             array("pref_id", "pref_name", "rank"));
         $this->tpl_column_num = 1;
-        $this->allowClientCache();
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_Change.php
===================================================================
--- /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 18139)
+++ /branches/comu-ver2/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 18187)
@@ -64,6 +64,5 @@
         $this->arrMAILMAGATYPE = $masterData->getMasterData("mtb_mail_magazine_type");
         $this->arrSex = $masterData->getMasterData("mtb_sex");
-        $this->allowClientCache();
-
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 18149)
+++ /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 18187)
@@ -53,6 +53,5 @@
         $this->arrMAILMAGATYPE = $masterData->getMasterData("mtb_mail_magazine_type");
         $this->arrReminder = $masterData->getMasterData("mtb_reminder");
-
-        //$this->allowClientCache();
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 18149)
+++ /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 18187)
@@ -56,6 +56,4 @@
         $this->tpl_onload = 'fnCheckInputPoint();';
         $this->tpl_title = "お支払方法・お届け時間等の指定";
-
-        //$this->allowClientCache();
     }
 
Index: /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping.php	(revision 18149)
+++ /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping.php	(revision 18187)
@@ -60,5 +60,5 @@
         $this->arrJob = $masterData->getMasterData("mtb_job");
         $this->tpl_onload = 'fnCheckInputDeliv();';
-        //$this->allowClientCache();
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 18149)
+++ /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 18187)
@@ -58,6 +58,5 @@
         $this->arrPref = $masterData->getMasterData("mtb_pref", array("pref_id", "pref_name", "rank"));
         $this->tpl_title = "お届け先の指定";
-
-        //$this->allowClientCache();
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Complete.php
===================================================================
--- /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 18149)
+++ /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 18187)
@@ -51,6 +51,4 @@
         $this->arrCONVENIENCE = $masterData->getMasterData("mtb_convenience");
         $this->arrCONVENIMESSAGE = $masterData->getMasterData("mtb_conveni_message");
-
-        //$this->allowClientCache();
     }
 
Index: /branches/comu-ver2/data/class/pages/admin/system/LC_Page_Admin_System_Input.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/system/LC_Page_Admin_System_Input.php	(revision 18021)
+++ /branches/comu-ver2/data/class/pages/admin/system/LC_Page_Admin_System_Input.php	(revision 18187)
@@ -51,4 +51,6 @@
         $masterData = new SC_DB_MasterData_Ex();
         $this->arrAUTHORITY = $masterData->getMasterData('mtb_authority');
+        
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php	(revision 17423)
+++ /branches/comu-ver2/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php	(revision 18187)
@@ -58,4 +58,5 @@
         $this->tpl_subno    = 'settings';
         $this->tpl_subtitle = '認証キー設定';
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order_MailView.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order_MailView.php	(revision 16582)
+++ /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order_MailView.php	(revision 18187)
@@ -45,4 +45,5 @@
         parent::init();
         $this->tpl_mainpage = 'order/mail_view.tpl';
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 18095)
+++ /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 18187)
@@ -66,4 +66,5 @@
             $this->arrDispKind = sfPaygentOrderPage();
         }
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 18030)
+++ /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 18187)
@@ -52,5 +52,5 @@
         $masterData = new SC_DB_MasterData_Ex();
         $this->arrMAILTEMPLATE = $masterData->getMasterData("mtb_mail_template");
-
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 18136)
+++ /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 18187)
@@ -98,4 +98,5 @@
             $this->arrFregiDispKind = $arrFregiDispKind;
         }
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignCreateTag.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignCreateTag.php	(revision 17579)
+++ /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignCreateTag.php	(revision 18187)
@@ -47,5 +47,4 @@
         $this->tpl_mainno = 'create';
         $this->tpl_subtitle = '商品設定';
-        $this->allowClientCache();
     }
 
Index: /branches/comu-ver2/data/class/pages/admin/customer/LC_Page_Admin_Customer.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 18020)
+++ /branches/comu-ver2/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 18187)
@@ -152,4 +152,5 @@
                                                 "header" => "更新日")
                                     );
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/admin/customer/LC_Page_Admin_Customer_SearchCustomer.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/customer/LC_Page_Admin_Customer_SearchCustomer.php	(revision 18068)
+++ /branches/comu-ver2/data/class/pages/admin/customer/LC_Page_Admin_Customer_SearchCustomer.php	(revision 18187)
@@ -47,4 +47,5 @@
         parent::init();
         $this->tpl_mainpage = 'customer/search_customer.tpl';
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/admin/mail/LC_Page_Admin_Mail.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 17994)
+++ /branches/comu-ver2/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 18187)
@@ -138,4 +138,6 @@
         if (!isset($_POST['buy_product_code'])) $_POST['buy_product_code'] = "";
         if (!isset($_GET['mode'])) $_GET['mode'] = "";
+        
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 17977)
+++ /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 18187)
@@ -56,6 +56,4 @@
         $this->arrSTATUS = $masterData->getMasterData("mtb_status");
         $this->arrPRODUCTSTATUS_COLOR = $masterData->getMasterData("mtb_product_status_color");
-
-        $this->allowClientCache();
     }
 
Index: /branches/comu-ver2/data/class/pages/contact/LC_Page_Contact.php
===================================================================
--- /branches/comu-ver2/data/class/pages/contact/LC_Page_Contact.php	(revision 17375)
+++ /branches/comu-ver2/data/class/pages/contact/LC_Page_Contact.php	(revision 18187)
@@ -69,4 +69,5 @@
         $this->tpl_title = 'お問い合わせ(入力ページ)';
         $this->tpl_page_category = 'contact';
+        $this->httpCacheControl('nocache');
 
         $masterData = new SC_DB_MasterData_Ex();
Index: /branches/comu-ver2/data/class/pages/entry/LC_Page_Entry_EmailMobile.php
===================================================================
--- /branches/comu-ver2/data/class/pages/entry/LC_Page_Entry_EmailMobile.php	(revision 16582)
+++ /branches/comu-ver2/data/class/pages/entry/LC_Page_Entry_EmailMobile.php	(revision 18187)
@@ -62,5 +62,4 @@
         $this->tpl_mainpage = 'entry/email_mobile.tpl';
         $this->tpl_title = '携帯メール登録';
-        $this->allowClientCache();
     }
 
Index: /branches/comu-ver2/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /branches/comu-ver2/data/class/pages/entry/LC_Page_Entry.php	(revision 18041)
+++ /branches/comu-ver2/data/class/pages/entry/LC_Page_Entry.php	(revision 18187)
@@ -58,4 +58,6 @@
         $this->arrMonth = $objDate->getMonth(true);
         $this->arrDay = $objDate->getDay(true);
+        
+        $this->httpCacheControl('nocache');
     }
 
@@ -127,5 +129,5 @@
             }
 
-            //空白・改行の削除
+            // 空白・改行の削除
             $_POST["name01"] = preg_replace('/^[ 　\r\n]*(.*?)[ 　\r\n]*$/u', '$1', $_POST["name01"]);
             $_POST["name02"] = preg_replace('/^[ 　\r\n]*(.*?)[ 　\r\n]*$/u', '$1', $_POST["name02"]);
@@ -151,5 +153,5 @@
             $this->arrForm = $_POST;
 
-            //SSL用
+            // SSL用
             $this->arrForm['ssl_url'] = $ssl_url;
 
@@ -160,5 +162,5 @@
             $this->arrForm = $this->lfConvertParam($this->arrForm, $arrRegistColumn);
 
-            //--　入力エラーチェック
+            //-- 入力エラーチェック
             $this->arrErr = $this->lfErrorCheck($this->arrForm);
 
@@ -170,5 +172,5 @@
             } else {
 
-                //--　確認
+                //-- 確認
                 if ($_POST["mode"] == "confirm") {
                     foreach($this->arrForm as $key => $val) {
@@ -185,5 +187,5 @@
                 }
 
-                //--　会員登録と完了画面
+                //-- 会員登録と完了画面
                 if ($_POST["mode"] == "complete") {
                     // キャンペーンからの遷移の時用の値
@@ -200,5 +202,5 @@
                     $this->tpl_title = '会員登録(完了ページ)';
 
-                    //　完了メール送信
+                    // 完了メール送信
                     $this->name01 = $_POST['name01'];
                     $this->name02 = $_POST['name02'];
@@ -247,5 +249,5 @@
         $this->transactionid = $this->getToken();
 
-        //----　ページ表示
+        //---- ページ表示
         $objView->assignobj($this);
         // フレームを選択(キャンペーンページから遷移なら変更)
@@ -261,5 +263,5 @@
         $this->init();
         $this->tpl_mainpage = 'entry/index.tpl';		// メインテンプレート
-        $this->tpl_title .= '会員登録(1/3)';			//　ページタイトル
+        $this->tpl_title .= '会員登録(1/3)';			// ページタイトル
     }
 
@@ -354,5 +356,5 @@
             }
 
-            //--　入力エラーチェック
+            //-- 入力エラーチェック
             if ($_POST["mode"] == "set1") {
                 $this->arrErr = $this->lfErrorCheck1($this->arrForm);
@@ -393,5 +395,5 @@
             } else {
 
-                //--　テンプレート設定
+                //-- テンプレート設定
                 if ($_POST["mode"] == "set1") {
                     $this->tpl_mainpage = 'entry/set1.tpl';
@@ -407,9 +409,9 @@
                     }
                 } elseif ($_POST["mode"] == "confirm") {
-                    //パスワード表示
+                    // パスワード表示
                     $passlen = strlen($this->arrForm['password']);
                     $this->passlen = $this->lfPassLen($passlen);
 
-                    //メール受け取り
+                    // メール受け取り
                     if (!isset($this->arrForm['mailmaga_flg'])) $this->arrForm['mailmaga_flg']  = "";
                     if (strtolower($this->arrForm['mailmaga_flg']) == "on") {
@@ -441,5 +443,5 @@
 
 
-                //--　仮登録と完了画面
+                //-- 仮登録と完了画面
                 if ($_POST["mode"] == "complete") {
 
@@ -450,5 +452,5 @@
                         $this->tpl_title = '会員登録(1/3)';
                         $this->arrErr = $arrErr;
-                        //----　ページ表示
+                        //---- ページ表示
                         $objView->assignobj($this);
                         $objView->display(SITE_FRAME);
@@ -462,5 +464,5 @@
                         $this->tpl_title = '会員登録(2/3)';
                         $this->arrErr = $arrErr;
-                        //----　ページ表示
+                        //---- ページ表示
                         $objView->assignobj($this);
                         $objView->display(SITE_FRAME);
@@ -474,5 +476,5 @@
                         $this->tpl_title = '会員登録(3/3)';
                         $this->arrErr = $arrErr;
-                        //----　ページ表示
+                        //---- ページ表示
                         $objView->assignobj($this);
                         $objView->display(SITE_FRAME);
@@ -497,5 +499,5 @@
                     $objMobile->sfMobileSetExtSessionId('id', $this->uniqid, 'regist/' . DIR_INDEX_URL);
 
-                    //　仮登録完了メール送信
+                    // 仮登録完了メール送信
                     $this->to_name01 = $_POST['name01'];
                     $this->to_name02 = $_POST['name02'];
@@ -542,5 +544,5 @@
         }
 
-        //----　ページ表示
+        //---- ページ表示
         $objView->assignobj($this);
         $objView->display(SITE_FRAME);
@@ -634,12 +636,12 @@
 
 
-    /* メルマガ会員機能は現在停止中　2007/03/07
-
-
-        //--　非会員でメルマガ登録しているかの判定
+    /* メルマガ会員機能は現在停止中 2007/03/07
+
+
+        //-- 非会員でメルマガ登録しているかの判定
         $sql = "SELECT count(*) FROM dtb_customer_mail WHERE email = ?";
         $mailResult = $objConn->getOne($sql, array($arrRegist["email"]));
 
-        //--　メルマガ仮登録実行
+        //-- メルマガ仮登録実行
         $arrRegistMail["email"] = $arrRegist["email"];
         if ($array["mailmaga_flg"] == 1) {
@@ -655,5 +657,5 @@
         if ($mailResult == 1) {
             $objQuery->update("dtb_customer_mail", $arrRegistMail, "email = '" .addslashes($arrRegistMail["email"]). "'");
-        } else {				//　新規登録の場合
+        } else {				// 新規登録の場合
             $arrRegistMail["create_date"] = "now()";
             $objQuery->insert("dtb_customer_mail", $arrRegistMail);
@@ -665,5 +667,5 @@
     }
 
-    //----　取得文字列の変換
+    //---- 取得文字列の変換
     function lfConvertParam($array, $arrRegistColumn) {
         /*
@@ -708,5 +710,5 @@
         $objErr->doFunc(array('メールアドレス', 'メールアドレス(確認)', "email", "email02") ,array("EQUAL_CHECK"));
 
-        //現会員の判定 →　現会員もしくは仮登録中は、メアド一意が前提になってるので同じメアドで登録不可
+        // 現会員の判定 → 現会員もしくは仮登録中は、メアド一意が前提になってるので同じメアドで登録不可
         if (strlen($array["email"]) > 0) {
             $array["email"] = strtolower($array["email"]);
@@ -810,5 +812,5 @@
         $objErr->doFunc(array('メールアドレス', "email", MTEXT_LEN) ,array("NO_SPTAB", "EXIST_CHECK", "EMAIL_CHECK", "SPTAB_CHECK" ,"EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK", "MOBILE_EMAIL_CHECK"));
 
-        //現会員の判定 →　現会員もしくは仮登録中は、メアド一意が前提になってるので同じメアドで登録不可
+        // 現会員の判定 → 現会員もしくは仮登録中は、メアド一意が前提になってるので同じメアドで登録不可
         if (strlen($array["email"]) > 0) {
             $array['email'] = strtolower($array['email']);
Index: /branches/comu-ver2/data/class/pages/entry/LC_Page_Entry_Complete.php
===================================================================
--- /branches/comu-ver2/data/class/pages/entry/LC_Page_Entry_Complete.php	(revision 16930)
+++ /branches/comu-ver2/data/class/pages/entry/LC_Page_Entry_Complete.php	(revision 18187)
@@ -56,4 +56,5 @@
 
         $this->tpl_title .= '会員登録(完了ページ)';
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php
===================================================================
--- /branches/comu-ver2/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 16741)
+++ /branches/comu-ver2/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 18187)
@@ -48,4 +48,5 @@
         $this->tpl_login = false;
         $this->tpl_disable_logout = false;
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/comu-ver2/data/class/pages/products/LC_Page_Products_List.php	(revision 18180)
+++ /branches/comu-ver2/data/class/pages/products/LC_Page_Products_List.php	(revision 18187)
@@ -64,5 +64,4 @@
         $this->tpl_class_name1 = array();
         $this->tpl_class_name2 = array();
-        $this->allowClientCache();
     }
 
@@ -405,5 +404,5 @@
         $objQuery = new SC_Query();
         $objDb = new SC_Helper_DB_Ex();
-        $this->tpl_pageno = defined("MOBILE_SITE") ? @$_GET['pageno'] : @$_POST['pageno'];
+        $this->tpl_pageno = @$_GET['pageno'];
         $arrval = array();
         $arrval_order = array();
@@ -461,7 +460,7 @@
         // ページ送りの取得
         $this->objNavi = new SC_PageNavi($this->tpl_pageno, $linemax, $disp_num, "fnNaviPage", NAVI_PMAX);
-
         $strnavi = $this->objNavi->strnavi;
-        $strnavi = str_replace('onclick="fnNaviPage', 'onclick="form1.mode.value=\''.'\'; fnNaviPage', $strnavi);
+        $strnavi = preg_replace('/list\.php.*?\'([0-9]+)\'.*?\"/', 'list.php?category_id=' . $category_id . '&amp;pageno=$1"', $strnavi);
+ 
         // 表示文字列
         $this->tpl_strnavi = empty($strnavi) ? "&nbsp;" : $strnavi;
Index: /branches/comu-ver2/data/class/pages/products/LC_Page_Products_Review.php
===================================================================
--- /branches/comu-ver2/data/class/pages/products/LC_Page_Products_Review.php	(revision 17576)
+++ /branches/comu-ver2/data/class/pages/products/LC_Page_Products_Review.php	(revision 18187)
@@ -61,4 +61,5 @@
         $this->arrSex = $masterData->getMasterData("mtb_sex");
         $this->arrReviewDenyURL = $masterData->getMasterData("mtb_review_deny_url");
+        $this->httpCacheControl('nocache');
     }
 
Index: /branches/comu-ver2/data/Smarty/templates/default/mypage/index.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/mypage/index.tpl	(revision 17605)
+++ /branches/comu-ver2/data/Smarty/templates/default/mypage/index.tpl	(revision 18187)
@@ -60,5 +60,5 @@
        <td><!--{$arrPayment[$payment_id]|escape}--></td>
        <td class="pricetd"><!--{$arrOrder[cnt].payment_total|number_format}-->円</td>
-       <td class="centertd"><a href="?" onclick="fnChangeAction('./history.php'); fnKeySubmit('order_id','<!--{$arrOrder[cnt].order_id}-->'); return false">詳細</a></td>
+       <td class="centertd"><a href="<!--{$smarty.const.URL_DIR}-->mypage/history.php?order_id=<!--{$arrOrder[cnt].order_id}-->">詳細</a></td>
      </tr>
      <!--{/section}-->