Index: /branches/comu-ver2/data/Smarty/templates/default/site_main.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/site_main.tpl	(revision 17116)
+++ /branches/comu-ver2/data/Smarty/templates/default/site_main.tpl	(revision 18189)
@@ -41,4 +41,22 @@
 <!--{* ▼CONTENTS *}-->
 <div id="container">
+
+<!--{* ▼TOP COLUMN*}-->
+  <!--{if $arrPageLayout.LeftNavi|@count > 0}-->
+  <div id="topcolumn">
+    <!--{* ▼上ナビ *}-->
+      <!--{foreach key=TopNaviKey item=TopNaviItem from=$arrPageLayout.TopNavi}-->
+        <!-- ▼<!--{$TopNaviItem.bloc_name}--> ここから-->
+          <!--{if $TopNaviItem.php_path != ""}-->
+            <!--{include_php file=$TopNaviItem.php_path}-->
+          <!--{else}-->
+            <!--{include file=$TopNaviItem.tpl_path}-->
+          <!--{/if}-->
+        <!-- ▲<!--{$TopNaviItem.bloc_name}--> ここまで-->
+      <!--{/foreach}-->
+    <!--{* ▲上ナビ *}-->
+  </div>
+  <!--{/if}-->
+<!--{* ▲TOP COLUMN*}-->
 
   <!--{* ▼LEFT COLUMN *}-->
@@ -119,4 +137,22 @@
   <!--{/if}-->
   <!--{* ▲RIGHT COLUMN *}-->
+  
+      <!--{* ▼BOTTOM COLUMN*}-->
+      <!--{if $arrPageLayout.LeftNavi|@count > 0}-->
+      <div id="bottomcolumn">
+        <!--{* ▼下ナビ *}-->
+          <!--{foreach key=BottomNaviKey item=BottomNaviItem from=$arrPageLayout.BottomNavi}-->
+            <!-- ▼<!--{$BottomNaviItem.bloc_name}--> ここから-->
+              <!--{if $BottomNaviItem.php_path != ""}-->
+                <!--{include_php file=$BottomNaviItem.php_path}-->
+              <!--{else}-->
+                <!--{include file=$BottomNaviItem.tpl_path}-->
+              <!--{/if}-->
+            <!-- ▲<!--{$BottomNaviItem.bloc_name}--> ここまで-->
+          <!--{/foreach}-->
+        <!--{* ▲下ナビ *}-->
+      </div>
+      <!--{/if}-->
+    <!--{* ▲BOTTOM COLUMN*}-->
 
 </div>
Index: /branches/comu-ver2/data/Smarty/templates/default/list.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/list.tpl	(revision 18181)
+++ /branches/comu-ver2/data/Smarty/templates/default/list.tpl	(revision 18189)
@@ -57,4 +57,5 @@
         <input type="hidden" name="orderby" value="<!--{$orderby|escape}-->" />
         <input type="hidden" name="product_id" value="" />
+        <input type="hidden" name="disp_number" value="" />
         
         <!--★タイトル★-->
@@ -87,5 +88,5 @@
                 <!--{/if}-->
                   表示件数
-                    <select name="disp_number" onchange="javascript:fnModeSubmit('','disp_number',this.value);">
+                    <select name="disp_number_top" onchange="javascript:fnModeSubmit('','disp_number',this.value);">
                 <!--{foreach from=$arrPRODUCTLISTMAX item="dispnum" key="num"}-->
 	                <!--{if $num == $disp_number}-->
@@ -229,7 +230,7 @@
                         <strong>新着順</strong>
                     <!--{/if}-->
-                                      表示件数
-                    <select name="disp_number" onchange="javascript:fnModeSubmit('','disp_number',this.value);">
-                <!--{foreach from=$arrPRODUCTLISTMAX item="dispnum" key="num"}-->
+                     表示件数
+                    <select name="disp_number_bottom" onchange="javascript:fnModeSubmit('','disp_number',this.value);">
+                    <!--{foreach from=$arrPRODUCTLISTMAX item="dispnum" key="num"}-->
                     <!--{if $num == $disp_number}-->
                     <option value="<!--{$num}-->" selected="selected" ><!--{$dispnum}--></option>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/design/index.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/design/index.tpl	(revision 17997)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/design/index.tpl	(revision 18189)
@@ -39,4 +39,25 @@
           </tr>
           <tr>
+            <!-- ★☆★ 上部ナビテーブル ☆★☆ -->
+            <td colspan="3" id="layout-top">
+                <div id="TopNavi" class="ui-sortable" style="position: relative; width: 468px; ">
+                <!--{assign var="firstflg" value=false}-->
+                <!--{foreach key=key item=item from=$tpl_arrBloc name="bloc_loop"}-->
+                <!--{if $item.target_id == "TopNavi"}-->
+                <div class="sort<!--{if !$firstflg}--> first<!--{/if}-->">
+                  <!--{$item.name}-->
+                  <input type="hidden" class="name" name="name_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="<!--{$item.name}-->" />
+                  <input type="hidden" class="id" name="id_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="<!--{$item.bloc_id}-->" />
+                  <input type="hidden" class="target-id" name="target_id_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="<!--{$item.target_id}-->" />
+                  <input type="hidden" class="top" name="top_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="<!--{$item.bloc_row}-->" />
+                </div>
+                <!--{assign var="firstflg" value=true}-->
+                <!--{/if}-->
+                <!--{/foreach}-->
+              </div>
+            </td>
+            <!-- ★☆★ 上部ナビテーブル ☆★☆ -->          
+          </tr>
+          <tr>
             <!--{* 左ナビテーブルここから *}-->
             <td rowspan="3" id="layout-left">
@@ -122,5 +143,26 @@
             </td>
           </tr>
+          <tr>
           <!--{* メイン下部ここまで *}-->
+             <!-- ★☆★ 下部ナビテーブル ☆★☆ -->
+            <td colspan="3" id="layout-top">
+                <div id="BottomNavi" class="ui-sortable" style="position: relative; width: 468px; ">
+                <!--{assign var="firstflg" value=false}-->
+                <!--{foreach key=key item=item from=$tpl_arrBloc name="bloc_loop"}-->
+                <!--{if $item.target_id == "BottomNavi"}-->
+                <div class="sort<!--{if !$firstflg}--> first<!--{/if}-->">
+                  <!--{$item.name}-->
+                  <input type="hidden" class="name" name="name_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="<!--{$item.name}-->" />
+                  <input type="hidden" class="id" name="id_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="<!--{$item.bloc_id}-->" />
+                  <input type="hidden" class="target-id" name="target_id_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="<!--{$item.target_id}-->" />
+                  <input type="hidden" class="top" name="top_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="<!--{$item.bloc_row}-->" />
+                </div>
+                <!--{assign var="firstflg" value=true}-->
+                <!--{/if}-->
+                <!--{/foreach}-->
+              </div>
+            </td>
+            <!-- ★☆★ 下部ナビテーブル ☆★☆ --> 
+            </tr>
           <tr>
             <td colspan="3" id="layout-footer">フッター部</td>
Index: /branches/comu-ver2/data/class/helper/SC_Helper_PageLayout.php
===================================================================
--- /branches/comu-ver2/data/class/helper/SC_Helper_PageLayout.php	(revision 17585)
+++ /branches/comu-ver2/data/class/helper/SC_Helper_PageLayout.php	(revision 18189)
@@ -103,5 +103,7 @@
         $arrPageLayout['RightNavi'] = $this->lfGetNavi($arrNavi,3);    // RIGHT NAVI
         $arrPageLayout['MainFoot']  = $this->lfGetNavi($arrNavi,4);    // メイン下部
-
+        $arrPageLayout['TopNavi'] = $this->lfGetNavi($arrNavi,5); //上部
+        $arrPageLayout['BottomNavi'] = $this->lfGetNavi($arrNavi,6); //下部
+        
         GC_Utils::gfDebugLog($arrPageLayout);
         
Index: /branches/comu-ver2/data/class/pages/admin/design/LC_Page_Admin_Design.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 17675)
+++ /branches/comu-ver2/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 18189)
@@ -163,7 +163,7 @@
 
                 /*
-                ターゲットID 1:レフトナビ 2:ライトナビ 3:イン画面上部 4:メイン画面下部 5:欄外
+                ターゲットID 1:レフトナビ 2:ライトナビ 3:イン画面上部 4:メイン画面下部  5:画面上部 6:画面下部 7:欄外
                 */
-                if ($arrUpdBlocData[$key]['target_id'] == 5) {
+                if ($arrUpdBlocData[$key]['target_id'] == 7) {
                     $arrUpdBlocData[$key]['bloc_row'] = "0";
                 }
Index: /branches/comu-ver2/.buildpath
===================================================================
--- /branches/comu-ver2/.buildpath	(revision 15079)
+++ /branches/comu-ver2/.buildpath	(revision 18189)
@@ -1,6 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<classpath>
-	<classpathentry kind="src" path=""/>
-	<classpathentry kind="con" path="org.trustudio.php.launching.PHP_CONTAINER"/>
-	<classpathentry kind="output" path=""/>
-</classpath>
+<buildpath>
+	<buildpathentry kind="con" path="org.eclipse.php.core.LANGUAGE"/>
+	<buildpathentry kind="src" path="html"/>
+	<buildpathentry kind="src" path="data"/>
+	<buildpathentry kind="con" path="org.eclipse.dltk.USER_LIBRARY/phplanguage"/>
+</buildpath>
Index: /branches/comu-ver2/.project
===================================================================
--- /branches/comu-ver2/.project	(revision 15079)
+++ /branches/comu-ver2/.project	(revision 18189)
@@ -1,9 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>feature-module-update</name>
+	<name>comu-eccube2</name>
 	<comment></comment>
 	<projects>
 	</projects>
 	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.dltk.core.scriptbuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
 		<buildCommand>
 			<name>org.eclipse.php.core.PhpIncrementalProjectBuilder</name>
Index: /branches/comu-ver2/html/user_data/packages/default/js/layout_design.js
===================================================================
--- /branches/comu-ver2/html/user_data/packages/default/js/layout_design.js	(revision 17417)
+++ /branches/comu-ver2/html/user_data/packages/default/js/layout_design.js	(revision 18189)
@@ -39,5 +39,5 @@
     
     $(document).ready(function(){
-        var els = ['#MainHead', '#MainFoot', '#LeftNavi', '#RightNavi', '#Unused'];
+        var els = ['#MainHead', '#MainFoot', '#LeftNavi', '#RightNavi','#TopNavi','#BottomNavi', '#Unused'];
         var $els = $(els.toString());
         
Index: /branches/comu-ver2/html/user_data/packages/default/css/main.css
===================================================================
--- /branches/comu-ver2/html/user_data/packages/default/css/main.css	(revision 18033)
+++ /branches/comu-ver2/html/user_data/packages/default/css/main.css	(revision 18189)
@@ -220,4 +220,17 @@
 }
 
+/* 上下のブロックエリア
+----------------------------------------------- */
+div#topcolumn{
+	clear:both;	
+	margin-bottom:12px;
+	margin-top:12px;
+}
+div#bottomcolumn{
+	clear: both;
+	margin-bottom:12px;
+	margin-top:12px;	
+}
+
 /* リストをボタンのような外観に
 ----------------------------------------------- */
Index: /branches/comu-ver2/html/user_data/packages/default/css/admin_contents.css
===================================================================
--- /branches/comu-ver2/html/user_data/packages/default/css/admin_contents.css	(revision 18179)
+++ /branches/comu-ver2/html/user_data/packages/default/css/admin_contents.css	(revision 18189)
@@ -371,4 +371,11 @@
     width:      140px;
 }
+#TopNavi div.sort,#BottomNavi div.sort{
+	width:95%;
+	margin: 5px auto 5px;
+	
+}
+
+
 .placeholder { border:1px dashed #AAA; }
 
@@ -395,4 +402,12 @@
     height: 100px;
 }
+#TopNavi,#BottomNavi{
+	width:95%;
+	min-height: 60px;
+	height:auto !important;
+	vertical-align: top;
+	text-align: center;
+}
+
 #design-layout-body td#layout-main {vertical-align: middle;}
 
Index: /branches/comu-ver2/html/install/sql/insert_data.sql
===================================================================
--- /branches/comu-ver2/html/install/sql/insert_data.sql	(revision 18171)
+++ /branches/comu-ver2/html/install/sql/insert_data.sql	(revision 18189)
@@ -34,15 +34,15 @@
 INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,1,2,3,'guide');
 INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,1,3,1,'cart');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,5,4,0,'search_products');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,5,5,0,'news');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,5,6,0,'login');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,5,7,0,'best5');
+INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,7,4,0,'search_products');
+INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,7,5,0,'news');
+INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,7,6,0,'login');
+INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,7,7,0,'best5');
 INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,1,1,2,'category');
 INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,1,2,3,'guide');
 INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,1,3,1,'cart');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,5,4,0,'search_products');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,5,5,0,'news');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,5,6,0,'login');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,5,7,0,'best5');
+INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,7,4,0,'search_products');
+INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,7,5,0,'news');
+INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,7,6,0,'login');
+INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,7,7,0,'best5');
 
 INSERT INTO dtb_csv(csv_id,col,disp_name,rank,create_date,update_date) VALUES (1,'product_id','商品ID',1,now(),now());
@@ -745,5 +745,7 @@
 INSERT INTO mtb_target VALUES ('3', 'RightNavi',2);
 INSERT INTO mtb_target VALUES ('4', 'MainFoot',3);
-INSERT INTO mtb_target VALUES ('5', 'Unused',4);
+INSERT INTO mtb_target VALUES ('5', 'TopNavi',4);
+INSERT INTO mtb_target VALUES ('6', 'BottomNavi',5);
+INSERT INTO mtb_target VALUES ('7', 'Unused',6);
 INSERT INTO mtb_review_deny_url VALUES ('0', 'http://',0);
 INSERT INTO mtb_review_deny_url VALUES ('1', 'https://',1);